Subject: bug#44743: closed (Re: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 26 Feb 2021 13:45:02 +0000

Your bug report

#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44743: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44743
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling
From: Andrea Corallo <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 26 Feb 2021 13:44:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

Q>> From: Andrea Corallo <[email-masked]>
>> Cc: Stefan Kangas <[email-masked]>, Eli Zaretskii <[email-masked]>,
>>         Lars
>>  Ingebrigtsen <[email-masked]>, [email-masked]
>> Date: Thu, 25 Feb 2021 22:51:00 +0000
>> 
>> IIUC this bug is "just" about deciding what's the best default behavior
>> regarding requiring confirmation or not for killing running async
>> compile processes when exiting Emacs.
>
> Yes, mostly.
>
>> As my understanding is that Eli's preference is matching the current
>> implementation (requiring it) I'm wondering if we can close this bug.
>
> It is fine with me to close the bug and leave this for later, when the
> branch is merged, and we have more user experience.  We could reopen
> the bug at that time.
>
> A better solution, from my POV, given the controversy, is to provide a
> defcustom for this, and then I'm okay with making silently killing the
> compilation the default.  I thought it would leave everyone happy.
> For some reason, Lars and Stefan are against even that, so I hesitate
> to even ask you, Andrea, to add such a defcustom if you have time.

I also agree the customize look like the best option, 54df918ad1 adds
`comp-async-query-on-exit' setting it to nil as default.

Please have a look to the docstring I've added and let me know in case
needs improvent, my docstring skills are worst than my coding one's.

Closing the bug in the meanwhile.

Thanks

  Andrea

Subject: native-comp: confirm-exit-emacs warns about active processes when compiling
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Thu, 19 Nov 2020 14:24:44 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

Steps to reproduce, on the native-comp branch:

0. rm -rf ~/.emacs.d/eln-cache
1. emacs -Q
2. C-x C-c
3. Press "y" (I am sure I want to quit)

A prompt is now shown with this text:
"Active processes exist; kill them and exit anyway? (y or n) "

The processes are all native-comp processes.

Expected result: No prompt is shown.  The native-comp processes are
recognized and killed automatically.